Show / Hide Table of Contents

# Struct EmulateThreeButtonMousePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct EmulateThreeButtonMousePtr

### Constructors

| Improve this Doc View Source

#### EmulateThreeButtonMousePtr(EmulateThreeButtonMouse*)

##### Declaration

    public EmulateThreeButtonMousePtr(EmulateThreeButtonMouse*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
EmulateThreeButtonMouse* | nativePtr |

| Improve this Doc View Source

#### EmulateThreeButtonMousePtr(IntPtr)

##### Declaration

    public EmulateThreeButtonMousePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### enabled

##### Declaration

    public bool enabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### modifier

##### Declaration

    public IntPtr modifier { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public EmulateThreeButtonMouse*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
EmulateThreeButtonMouse* |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(EmulateThreeButtonMouse* to EmulateThreeButtonMousePtr)

##### Declaration

    public static implicit operator EmulateThreeButtonMousePtr(EmulateThreeButtonMouse*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
EmulateThreeButtonMouse* | nativePtr |

##### Returns

Type | Description
--- | ---
EmulateThreeButtonMousePtr |

| Improve this Doc View Source

#### Implicit(EmulateThreeButtonMousePtr to EmulateThreeButtonMouse*)

##### Declaration

    public static implicit operator EmulateThreeButtonMouse*(EmulateThreeButtonMousePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
EmulateThreeButtonMousePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
EmulateThreeButtonMouse* |

| Improve this Doc View Source

#### Implicit(IntPtr to EmulateThreeButtonMousePtr)

##### Declaration

    public static implicit operator EmulateThreeButtonMousePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
EmulateThreeButtonMousePtr |